package com.logicbig.example;

import javax.validation.*;
import javax.validation.constraints.Future;
import java.util.Date;
import java.util.Locale;

public class OverrideDefaultKeyExample {

    private static class MyBean {
        @Future
        private Date date;

        public Date getDate() {
            return date;
        }

        public void setDate(Date date) {
            this.date = date;
        }
    }

    public static void main(String[] args) {
        MyBean myBean = new MyBean();
        myBean.setDate(new Date(System.currentTimeMillis() - 100000));

        Locale.setDefault(Locale.US);//Locale.FRANCE
        Configuration<?> config = Validation.byDefaultProvider().configure();
        ValidatorFactory factory = config.buildValidatorFactory();
        Validator validator = factory.getValidator();

        validator.validate(myBean).stream()
                 .forEach(OverrideDefaultKeyExample::printError);

        factory.close();
    }

    private static void printError(
            ConstraintViolation<MyBean> violation) {
        System.out.println(violation.getMessage());
    }
}